/* 
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License). You may not use this file except in
 * compliance with the License.
 *
 * You can obtain a copy of the License at
 * http://www.opensource.org/licenses/cddl1.php
 * or in legal/LICENSE.txt
 *
 * See the License for the specific language governing
 * permission and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License 
 * File at legal/LICENSE.txt
 * 
 * Copyright 2007-8 Michael Zoumboulakis, George Roussos
 * All Rights Reserved
 * *****************************************************
 * Birkbeck College, University of London
 * School of Computer Science and Information Systems
 * Malet Street, London WC1E 7HX, United Kingdom
 * http://dcs.bbk.ac.uk
 * ******************************************************
 */

#ifndef ESCALATION_H
#define ESCALATION_H
enum {  
	TIMER0_PERIOD_MILLI = 1000,  // Sampling Frequency
	ARRAY_SIZE = 44,						 // Readings array
	SAX_SIZE = 40,							 // Portion of readings array that SAX will use
	COMP_RATIO = 4,							 // SAX Compression ratio
	SHIFT_BY = 1,								 // How many positions to shift readings array by.
	NEV_BOUND = -999,					 // Negative bound for SAX cutpoints
	ALPHABET = 10,							 // Alphabet Size (fixed at this stage).
	SFX_SIZE = 32,							// Size of the Suffix Array
};
// TEXT is the patterns used to build the Suffix Array.
#define TEXT "abcdefghijklmnopqrstuvegcfdghffe"
#endif
